Name:           mpop
Version:        1.2.1
Release:        1
Summary:        POP3 client for recieving mail from POP3 mailboxes

Group:          Applications/Internet
License:        GPLv3+
URL:            http://mpop.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz.sig
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  AIX-rpm >= 5.2.0.0
BuildRequires:  patch

BuildRequires:  gettext
BuildRequires:  gnutls-devel >= 2.12.20-1
BuildRequires:  libidn-devel >= 1.29-1

Requires:       AIX-rpm >= 5.2.0.0

Requires:       gettext
Requires:       gnutls >= 2.12.20-1
Requires:       info
Requires:       libidn >= 1.29-1

%description
mpop is a small and fast POP3 client. Features include mail filtering,
delivery to mbox files, maildir folders or a mail delivery agent, a very
fast POP3 implementation, many authentication methods, good TLS/SSL
support, IPv6 support, and more.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0


%build
export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS NOTES README THANKS
%doc doc/mpoprc.example
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Mon Apr 13 2015 Michael Perzl <michael@perzl.org> - 1.2.1-1
- updated to version 1.2.1

* Mon Apr 13 2015 Michael Perzl <michael@perzl.org> - 1.2.0-1
- updated to version 1.2.0

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 1.0.29-1
- updated to version 1.0.29

* Tue Apr 23 2013 Michael Perzl <michael@perzl.org> - 1.0.28-1
- updated to version 1.0.28

* Wed May 02 2012 Michael Perzl <michael@perzl.org> - 1.0.27-1
- first version for AIX V5.1 and higher
